Bug 1100781 - transmission-2.83 is available
Summary: transmission-2.83 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-23 12:25 UTC by Upstream Release Monitoring
Modified: 2014-05-29 03:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-29 02:51:34 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-05-23 12:25:55 UTC
Latest upstream release: 2.83
Current version/release in Fedora Rawhide: 2.82-3.fc21
URL: http://www.transmissionbt.com/download/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Ankur Sinha (FranciscoD) 2014-05-25 02:01:04 UTC
Doesn't build for rawhide:

mainwin.cc:1169:3: warning: identifier 'nullptr' is a keyword in C++11 [-Wc++0x-compat]
   if (l == nullptr)
   ^
mainwin.cc: In member function 'void TrMainWindow::openTorrent()':
mainwin.cc:1168:3: warning: 'auto' changes meaning in C++11; please remove it [-Wc++0x-compat]
   auto l = dynamic_cast<QGridLayout*> (d->layout ());
   ^
mainwin.cc:1168:8: error: 'l' does not name a type
   auto l = dynamic_cast<QGridLayout*> (d->layout ());
        ^
mainwin.cc:1169:7: error: 'l' was not declared in this scope
   if (l == nullptr)
       ^
mainwin.cc:1169:12: error: 'nullptr' was not declared in this scope
   if (l == nullptr)
            ^
mainwin.cc:1174:3: error: 'l' was not declared in this scope
   l->addWidget (b, l->rowCount(), 0, 1, -1, Qt::AlignLeft);


Need to contact upstream.

Comment 2 Ankur Sinha (FranciscoD) 2014-05-25 02:01:37 UTC
g++ -c -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fPIC -g -Wall -W -D_REENTRANT -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib64/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtDBus -I/usr/include -I/include -I.. -I/usr/include/freetype2 -I/usr/include/libpng16 -I. -I. -o prefs.o prefs.cc

Comment 3 Ankur Sinha (FranciscoD) 2014-05-25 02:03:50 UTC
Complete trace:

In file included from file-tree.h:27:0,
                 from details.cc:49:
torrent.h: In member function 'void Details::refresh()':
torrent.h:304:55: warning: 'tor' may be used uninitialized in this function [-Wmaybe-uninitialized]
     int peerLimit () const { return getInt (PEER_LIMIT); }
                                                       ^
details.cc:763:23: note: 'tor' was declared here
       const Torrent * tor;
                       ^
g++ -c -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic -fPIC -g -Wall -W -D_REENTRANT -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib64/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtDBus -I/usr/include -I/include -I.. -I/usr/include/freetype2 -I/usr/include/libpng16 -I. -I. -o prefs.o prefs.cc
mainwin.cc:1169:3: warning: identifier 'nullptr' is a keyword in C++11 [-Wc++0x-compat]
   if (l == nullptr)
   ^
mainwin.cc: In member function 'void TrMainWindow::openTorrent()':
mainwin.cc:1168:3: warning: 'auto' changes meaning in C++11; please remove it [-Wc++0x-compat]
   auto l = dynamic_cast<QGridLayout*> (d->layout ());
   ^
mainwin.cc:1168:8: error: 'l' does not name a type
   auto l = dynamic_cast<QGridLayout*> (d->layout ());
        ^
mainwin.cc:1169:7: error: 'l' was not declared in this scope
   if (l == nullptr)
       ^
mainwin.cc:1169:12: error: 'nullptr' was not declared in this scope
   if (l == nullptr)
            ^
mainwin.cc:1174:3: error: 'l' was not declared in this scope
   l->addWidget (b, l->rowCount(), 0, 1, -1, Qt::AlignLeft);
   ^
mainwin.cc: In member function 'void TrMainWindow::removeTorrents(bool)':
mainwin.cc:1316:3: warning: 'auto' changes meaning in C++11; please remove it [-Wc++0x-compat]
   auto layout = dynamic_cast<QGridLayout*>(msgBox.layout());
   ^
mainwin.cc:1316:8: error: 'layout' does not name a type
   auto layout = dynamic_cast<QGridLayout*>(msgBox.layout());
        ^
mainwin.cc:1317:17: error: 'nullptr' was not declared in this scope
   if (layout == nullptr)
                 ^
mainwin.cc:1319:14: error: invalid use of member function (did you forget the '()' ?)
       layout = new QGridLayout;
              ^
mainwin.cc:1320:31: error: invalid use of non-static member function
       msgBox.setLayout (layout);
                               ^
mainwin.cc:1323:9: error: invalid use of member function (did you forget the '()' ?)
   layout->addItem (spacer, layout->rowCount (), 0, 1, layout->columnCount ());
         ^
mainwin.cc:1323:9: error: base operand of '->' is not a pointer
mainwin.cc:1323:34: error: invalid use of member function (did you forget the '()' ?)
   layout->addItem (spacer, layout->rowCount (), 0, 1, layout->columnCount ());
                                  ^
mainwin.cc:1323:34: error: base operand of '->' is not a pointer
mainwin.cc:1323:61: error: invalid use of member function (did you forget the '()' ?)
   layout->addItem (spacer, layout->rowCount (), 0, 1, layout->columnCount ());
                                                             ^
mainwin.cc:1323:61: error: base operand of '->' is not a pointer
make: *** [mainwin.o] Error 1
make: *** Waiting for unfinished jobs....
RPM build errors:

Comment 4 Ankur Sinha (FranciscoD) 2014-05-25 02:05:16 UTC
Rahul,

Would you have an account on the upstream tracker? I don't think I have one.

Comment 5 Rahul Sundaram 2014-05-25 03:10:53 UTC
https://trac.transmissionbt.com/ticket/5700

Comment 6 Rahul Sundaram 2014-05-25 19:55:21 UTC
Ankur, can you try https://trac.transmissionbt.com/ticket/5700#comment:2

Comment 7 Ankur Sinha (FranciscoD) 2014-05-29 02:51:34 UTC
(In reply to Rahul Sundaram from comment #6)
> Ankur, can you try https://trac.transmissionbt.com/ticket/5700#comment:2

That seemed to work. Building for rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=520191

Should I build it for F20 too Rahul?

Thanks,
Warm regards,
Ankur

Comment 8 Rahul Sundaram 2014-05-29 03:48:49 UTC
Ankur,  Thanks!  I wouldn't suggest that pushing out newer builds for current releases.  I used to do that earlier but it was sometimes a bumpy ride with updates fixing some issues and causing other new ones.  So I don't do that anymore unless there is a specific request.  Not a hardline rule.  Just a overall guideline.


Note You need to log in before you can comment on or make changes to this bug.